{
    attributes = (
        {
            columnName = C2IE_KEY; 
            externalType = NUMBER; 
            name = c2ieKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = C2IO_CODE; 
            externalType = VARCHAR2; 
            name = c2ioCode; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = C2IO_DESCRIPTIF; 
            externalType = LONG; 
            name = c2ioDescriptif; 
            valueClassName = NSString; 
        }, 
        {
            columnName = C2IO_KEY; 
            externalType = NUMBER; 
            name = c2ioKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = C2IO_LIBELLE; 
            externalType = VARCHAR2; 
            name = c2ioLibelle; 
            valueClassName = NSString; 
            width = 500; 
        }, 
        {
            allowsNull = Y; 
            columnName = C2IO_PERE; 
            externalType = VARCHAR2; 
            name = c2ioPere; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            columnName = C2IO_TYPE; 
            externalType = VARCHAR2; 
            name = c2ioType; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = C2IRC_NIVEAU; 
            externalType = NUMBER; 
            name = c2ircNiveau; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (c2ieKey, c2ioKey, fannKey, c2ircNiveau); 
    className = EOGenericRecord; 
    classProperties = (
        c2ieKey, 
        c2ioCode, 
        c2ioDescriptif, 
        c2ioKey, 
        c2ioLibelle, 
        c2ioPere, 
        c2ioType, 
        fannKey, 
        c2ircNiveau
    ); 
    externalName = V_SCOL_C2I_COMPETENCES; 
    fetchSpecificationDictionary = {}; 
    name = VScolC2ICompetences; 
    primaryKeyAttributes = (c2ieKey, fannKey, c2ircNiveau, c2ioKey); 
}
